﻿@model ArticleDetail


<div style="margin-bottom:20px !important">
    @(Html.Kendo().DropDownList()
                  .Name("props")
                  .DataTextField("PropertyName")
                  .DataValueField("ArticlePropertyID")
                  .Template("\\#=ArticlePropertyID\\# - \\#=PropertyName\\# - \\#=EnglishName\\#")
                  .HtmlAttributes(new { style = "width:100%" })
                  .OptionLabel("انتخاب ویژگی")
                  .Filter("Contains")
                  .Events(e => e.Select("SetValue_Editore"))
                  .DataSource(source =>
                  {
                      source.Read(read =>
                      {
                          read.Action("GetProperties", "Contract");
                      })
                     ;
                  })
    )

</div>

<div style="width:1200px;">

    @(Html.Kendo().Editor()
                 .Name("ArticleContent")
                 .Encoded(false)
                 .HtmlAttributes(new { aria_label = "editor" })
                   .Resizable(resizable => resizable.Content(true).Toolbar(true))
                 .Tools(tools => tools
                   .Clear()
                   .CleanFormatting()
                   .Bold().Underline()
                   .JustifyLeft().JustifyCenter().JustifyRight().JustifyFull()
                   .TableEditing()
               .FontSize()
               .ForeColor().BackColor()
                .ViewHtml()
               .Formatting()
               .Print()
               .InsertImage()
               .InsertFile()
               .SubScript()
               .SuperScript()
               .Outdent().Indent()
               .CreateLink().Unlink()
               .InsertUnorderedList().InsertOrderedList()
               )
                 .Resizable(resizable => resizable.Content(true).Toolbar(true))
                   .Value("#=ArticleContent#")
        )
</div>
